
/*-
 * Copyright (c) 2011, Mehmet Ozgan.
 * All Rights Reserved with BSD License.
 * Read LICENSE file.
 */

/**
 * @file        main.c
 * @brief       main program
 *
 * @author      Mehmet Ozgan, <mozgan@gmail.com>
 * @version     v1.0
 * @date        13.11.2011
 *
 * @internal
 *      $Compiler:      gcc (on MAC, GNU/Linux, and 4.4BSD)$
 *      $Company:       TU Wien$
 */

/*
 *      @(#) main.c         TU Wien 13.11.2011
 * $Id: main.c,v1.0 13.11.2011 14:12  mozgan Exp $
 */

#include <stdio.h>
#include <stdlib.h>

#include "proje.h"


/**
 * @brief main - start program
 *
 * @param argc count of arguments
 * @param argv vector of arguments
 *
 * @return int (if success returns 0, otherwise returns non-zero)
 */
int
main(int argc, const char **argv)
{
	long            ret;

	(void) fprintf(stdout, "Hello World!\n");
	(void) fprintf(stdout, "%s: %d\n", (const char *) *argv, argc);

	while (argc--)
		(void) fprintf(stdout, " %d: %s \n", argc, argv[argc]);

	ret = func("-10");
	(void) fprintf(stdout, "ret: %ld\n", ret);

	return 0;
}
